Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.pagination
Class GS_PagedList<T extends ContentBaseImpl>

    java.lang.Object
      com.bea.apps.groupspace.pagination.GS_PagedList<T>

All Implemented Interfaces
  ContentListKeys, IPagedList<T>, Serializable, Iterable<T>

    public class GS_PagedList<T extends ContentBaseImpl>

extends Object
implements IPagedList<T>

PagedList implementation for GroupSpace content.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.content.paging.ContentListKeys
`ALL_ITEMS, BATCH_LOADING_SIZE_KEY, CUSTOM_OBJECT_FILTER, CUSTOM_OBJECT_SORT, FILTER_CRITERIA_KEY, SORT_CRITERIA_KEY`

Constructor Summary
`GS_PagedList(Class<T> beanType, IPagedList<Node> pagedList)`

Method Summary
`int` | `fullSize()` Finds query results size, regardless of the cost.
`int` | `getBatchLoadingSize()` Returns the current batch loading size.
`com.bea.content.paging.internal.QueryMetadata` | `getQueryMetadata()`
`boolean` | `isFullyResolved()` For performance reasons, query results may be bounded at a maximum, such as 10,000 items.
`IPagedListIterator<T>` | `iterator()` Get an iterator to traverse the PagedList items.
`int` | `nativeSize()` If it is possible to efficiently determine the query results size, this method will return the size.
`void` | `setBatchLoadingSize(int numItems)` Updates the batch loading size

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GS_PagedList

    public GS_PagedList(Class<T> beanType,
                        IPagedList<Node> pagedList)

Method Detail

### iterator

    public IPagedListIterator<T> iterator()
                                                           throws RepositoryRuntimeException

  Get an iterator to traverse the PagedList items. It is always safe to retrieve an iterator, even if the PagedList is empty (no query results). If there are no query results, calling iterator.hasNext() will return false.

  NOTE: any changes to the PagedList (such as resorting, refiltering, etc) will invalidate all iterators on the PagedList.

  Specified by:
    `iterator` in interface `IPagedList<T extends ContentBaseImpl>`
  Specified by:
    `iterator` in interface `Iterable<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### isFullyResolved

    public boolean isFullyResolved()
                            throws RepositoryRuntimeException

  For performance reasons, query results may be bounded at a maximum, such as 10,000 items. This method can be used to determine if this PagedList represents all items meeting the criteria, or a subset. (same meaning as in com.bea.p13n.pagination.PagedResult)

  Specified by:
    `isFullyResolved` in interface `IPagedList<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### fullSize

    public int fullSize()
                 throws RepositoryRuntimeException

  Finds query results size, regardless of the cost.

  NOTE: this method is potentially very expensive, since in many cases, the query results size cannot be determined efficiently. For this reason, it is generally preferable to call nativeSize() instead.

  Specified by:
    `fullSize` in interface `IPagedList<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### nativeSize

    public int nativeSize()
                   throws RepositoryRuntimeException

  If it is possible to efficiently determine the query results size, this method will return the size. If the size cannot be determined natively, returns com.bea.p13n.pagination.PagedResult.COUNT_UNKNOWN

  Specified by:
    `nativeSize` in interface `IPagedList<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### getBatchLoadingSize

    public int getBatchLoadingSize()
                            throws RepositoryRuntimeException

  Returns the current batch loading size. The batch loading size specifies how many items are loaded at a time from the backing store when items are retrieved.

  Specified by:
    `getBatchLoadingSize` in interface `IPagedList<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### setBatchLoadingSize

    public void setBatchLoadingSize(int numItems)
                             throws RepositoryRuntimeException

  Updates the batch loading size

  Specified by:
    `setBatchLoadingSize` in interface `IPagedList<T extends ContentBaseImpl>`
  Throws
    `RepositoryRuntimeException`

### getQueryMetadata

    public com.bea.content.paging.internal.QueryMetadata getQueryMetadata()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved